Skip to main content
GET
Get billing summary information for an account

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

Query Parameters

startTime
string<date-time>
required

Start time for the billing period. Note: Costs are aggregated daily. Only the date portion (YYYY-MM-DD) is used; the time portion is ignored. For example, 2025-10-05T07:18:29Z and 2025-10-05T23:59:59Z are treated the same as 2025-10-05T00:00:00Z.

endTime
string<date-time>
required

End time for the billing period (exclusive). Note: Costs are aggregated daily. Only the date portion (YYYY-MM-DD) is used; the time portion is ignored. Costs for the end date are NOT included. For example, to get costs for Oct 5 and Oct 6, use: start_time: 2025-10-05T00:00:00Z end_time: 2025-10-07T00:00:00Z (Oct 7 is excluded)

Response

200 - application/json

A successful response.

lineItems
Individual billing line item · object[]